Package org.sunflow.system

## Class ByteUtil

- java.lang.Object
- - org.sunflow.system.ByteUtil

-     public class ByteUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByteUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `floatToHalf​(float f)` |
    `static byte[]` | `get2Bytes​(int i)` |
    `static byte[]` | `get4Bytes​(int i)` |
    `static byte[]` | `get4BytesInv​(int i)` |
    `static byte[]` | `get8Bytes​(long i)` |
    `static int` | `toInt​(byte[] in)` |
    `static int` | `toInt​(byte[] in, int ofs)` |
    `static int` | `toInt​(byte in0, byte in1, byte in2, byte in3)` |
    `static long` | `toLong​(byte[] in)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteUtil

          public ByteUtil()

  - ### Method Detail

    - #### get2Bytes

          public static final byte[] get2Bytes​(int i)

    - #### get4Bytes

          public static final byte[] get4Bytes​(int i)

    - #### get4BytesInv

          public static final byte[] get4BytesInv​(int i)

    - #### get8Bytes

          public static final byte[] get8Bytes​(long i)

    - #### toLong

          public static final long toLong​(byte[] in)

    - #### toInt

          public static final int toInt​(byte in0,
                                        byte in1,
                                        byte in2,
                                        byte in3)

    - #### toInt

          public static final int toInt​(byte[] in)

    - #### toInt

          public static final int toInt​(byte[] in,
                                        int ofs)

    - #### floatToHalf

          public static final int floatToHalf​(float f)